Subject: Re: bug#41242: Port feature/native-comp to Windows - Reduce the number of files probed when finding a lisp file.

From: Andrea Corallo <[email-masked]>
Date: Sat, 06 Jun 2020 22:32:29 +0000

Nicolas Bértolo <[email-masked]> writes:

>> I did the suggested style modification myself and applied the patch as
>> e38678b268.
>
> Thanks.
>
> I didn't have much time during the week to look at how to implement the testing
> part. I have just came up with an idea that is abusing file-name-handler-alist.
> If for tests I add a handler that logs all operations we can indirectly access
> the list of files probed.
>
> What do you think of this as a way of testing "load"?
>
> Nico.

Hi Nico,

mmmh sounds a bit heavy but I'm not able to tell if there is a better
and comprehensive at the same time way of testing it.  Perhaps if you
are chasing the hash bug I guess is more important now.

If there's no reasonable way of testing it either we write a couple of
ad hoc tests or we say we are fine with that.

Not sure if you have seen this
https://lists.gnu.org/archive/html/emacs-devel/2020-06/msg00050.html
there is also the possibility that we are going to change radically all
the eln load mechanism.

  Andrea

-- 
[email-masked]